Bug 1234385 - Exclude /srv/node from updatedb.conf to ignore Swift storage
Summary: Exclude /srv/node from updatedb.conf to ignore Swift storage
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mlocate
Version: 7.0
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: pre-dev-freeze
: ---
Assignee: Frantisek Kluknavsky
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-22 12:57 UTC by Christian Schwede (cschwede)
Modified: 2016-04-26 15:58 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: GLUSTER-538
Environment:
Last Closed: 2016-02-03 13:36:04 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Christian Schwede (cschwede) 2015-06-22 12:57:51 UTC
By default the periodic updatedb process also incluses Swift storage files, and this affects performance quite a bit. It's likely that this is not required, thus excluding the default path /srv/node from the updatedb process is probably a good idea.

In /etc/updatedb.conf:

PRUNEPATHS="... /tmp ... /var/spool ... /srv/node"

Submitted upstream doc change: https://review.openstack.org/194126 

A note to the manual setup guide (https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/6/html/Deploying_OpenStack_Learning_Environments/index.html) should be added as well.

Comment 3 Pete Zaitcev 2015-12-01 03:44:39 UTC
Let's have mlocate maintainer to consider this request.

BTW, the names look sorted, so /srv/node goes between /sfc and /tmp.

Comment 4 Frantisek Kluknavsky 2015-12-08 15:59:24 UTC
This seems to me as something admin should deliberately configure, not a default. /srv/node is not necessarily Swift. A lot of things can be under /srv/node. Especially with the popularity of node.js, people might really want /srv/node indexed. The world is bigger than just OpenStack.

As an operating system distribution, RHEL is not supposed to impose structure on /srv.

(after consultation with msekleta): A setup where you want *some* nodes indexed is also imaginable. /srv/node seems to be too general.

Close notabug?


Note You need to log in before you can comment on or make changes to this bug.